Create a new Eft Payment
POST
Bearerheader
Authorization<token>JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
X-Forwarded-For?string- body
externalReference?string|nullcontractReference*stringMatch
^[a-zA-Z0-9 .\-,()%+\$;=@\?\:\~\/]*$Length
1 <= length <= 25paymentDate*stringFormat
date-timeabbreviatedName*stringMatch
^[a-zA-Z0-9\- ]*$Length
1 <= length <= 10profileCode*stringLength
1 <= lengthamountCents*integerFormat
int64Range
0 < valuedebtor*creditor*serviceType?EFTPaymentServiceTypeValue in
"ONEDAY""TWODAY""SAMEDAY"realTimeClearing?booleanalertOverride?Created
application/json- response
id?stringFormat
uuidreferenceNumber?string|nullexternalReference?string|nullreconReference?string|nullsubmissionDate?stringFormat
date-timepaymentDate?stringFormat
date-timecycleDate?stringFormat
date-timeabbreviatedName?string|nullprofileCode?string|nullentryClass?string|nullcontractReference?string|nullstate?PaymentStateValue in
"NEW""QUEUED""SUBMITTED""ACCEPTED""COMPLETED""VALIDATION_FAILURE""TRANSACTION_FAILURE""DISPUTED""UNPAID""UNPAID_WITH_RECOURSE""INTERNAL_FAILURE""CUTOFF"amountCents?integerFormat
int64currency?string|nullsequenceNumber?|Format
int64userGenerationNumber?|Format
int64debtor?creditor?createdAt?stringFormat
date-timeserviceType?EFTPaymentServiceTypeValue in
"ONEDAY""TWODAY""SAMEDAY"clientId?string|nulloriginalPaymentDate?|Format
date-timerealTimeClearing?booleanbulkUploadId?|Format
uuidalertEmail?string|nullalertEnabled?boolean|nullalertOverrideUsed?booleancurl -X POST 'https://www.api.revio.co.za/v2/payment/eft' \ -H 'Content-Type: application/json' \ -d '{ "contractReference": "string", "paymentDate": "2019-08-24T14:15:22Z", "abbreviatedName": "string", "profileCode": "string", "amountCents": 1, "debtor": {}, "creditor": {}}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "referenceNumber": "string", "externalReference": "string", "reconReference": "string", "submissionDate": "2019-08-24T14:15:22Z", "paymentDate": "2019-08-24T14:15:22Z", "cycleDate": "2019-08-24T14:15:22Z", "abbreviatedName": "string", "profileCode": "string", "entryClass": "string", "contractReference": "string", "state": "NEW", "amountCents": 0, "currency": "string", "sequenceNumber": 0, "userGenerationNumber": 0, "debtor": { "accountNumber": "string", "accountType": "CURRENT", "bank": "string", "branchCode": "string", "firstName": "string", "lastName": "string", "identification": { "emailAddress": "string", "idNumber": "string", "phoneNumber": "string", "passportNumber": "string" } }, "creditor": { "accountNumber": "string", "accountType": "CURRENT", "branchCode": "string", "name": "string", "bank": "string", "phoneNumber": "string", "emailAddress": "string", "idNumber": "string" }, "createdAt": "2019-08-24T14:15:22Z", "serviceType": "ONEDAY", "clientId": "string", "originalPaymentDate": "2019-08-24T14:15:22Z", "realTimeClearing": true, "bulkUploadId": "42e0fc60-487e-4aa1-9223-1fd9ecaeff6a", "alertEmail": "string", "alertEnabled": true, "alertOverrideUsed": true}